diff --git a/src/main/java/net/minecraft/server/net/PlayerList.java b/src/main/java/net/minecraft/server/net/PlayerList.java
index b6211d6ea..a68b18056 100644
--- a/src/main/java/net/minecraft/server/net/PlayerList.java
+++ b/src/main/java/net/minecraft/server/net/PlayerList.java
@@ -222,7 +222,7 @@ public class PlayerList
             ChunkCoordinates chunkcoordinates1 = Player.getValidBedSpawnCoordinates(server.getDimensionWorld(previousPlayer.dimension), chunkcoordinates);
             if (chunkcoordinates1 != null)
             {
-                newPlayer.moveTo((float) chunkcoordinates1.x + 0.5F, (float) chunkcoordinates1.y + 0.1F, (float) chunkcoordinates1.z + 0.5F, 0.0F, 0.0F);
+                newPlayer.teleport((float) chunkcoordinates1.x + 0.5F, (float) chunkcoordinates1.y + 0.1F, (float) chunkcoordinates1.z + 0.5F, 0.0F, 0.0F);
                 newPlayer.setPlayerSpawnCoordinate(chunkcoordinates);
             }
             else
@@ -264,7 +264,7 @@ public class PlayerList
 
         x *= Dimension.getCoordScale(lastDim, newDim);
         z *= Dimension.getCoordScale(lastDim, newDim);
-        serverPlayer.moveTo(x, y, z, serverPlayer.yRot, serverPlayer.xRot);
+        serverPlayer.teleport(x, y, z, serverPlayer.yRot, serverPlayer.xRot);
         ChunkCoordinates newCoordinates = new ChunkCoordinates(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z));
         if (serverPlayer.dimensionEnterCoordinate != null) {
             double dx = serverPlayer.dimensionEnterCoordinate.x - x;
@@ -284,7 +284,7 @@ public class PlayerList
         if (serverPlayer.isAlive())
         {
             worldserver1.entityJoinedWorld(serverPlayer);
-            serverPlayer.moveTo(x, serverPlayer.y, z, serverPlayer.yRot, serverPlayer.xRot);
+            serverPlayer.teleport(x, serverPlayer.y, z, serverPlayer.yRot, serverPlayer.xRot);
             worldserver1.updateEntityWithOptionalForce(serverPlayer, false);
             if (generatePortal){
                 worldserver1.chunkProviderServer.chunkLoadOverride = true;
